Bug 503967 - Review Request: mobile-broadband-provider-info - database of mobile broadband providers
Summary: Review Request: mobile-broadband-provider-info - database of mobile broadband...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-03 15:17 UTC by Dan Williams
Modified: 2009-10-20 22:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 22:41:34 UTC
Type: ---
wtogami: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Dan Williams 2009-06-03 15:17:11 UTC
Spec URL: http://bigw.org/~dan/mobile-broadband-provider-info.spec
SRPM URL: http://bigw.org/~dan/mobile-broadband-provider-info-20090602-1.fc12.src.rpm
Description: The mobile-broadband-provider-info package contains listings of mobile broadband (3G) providers and associated network and plan information.

Comment 1 Warren Togami 2009-06-03 18:16:51 UTC
Version: 20090602

Will this always be versioned by the date?  Perhaps "0.20090602" might be better to allow for real version numbers in the future without Epoch?

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

This isn't even used by modern rpmbuild.  Doesn't need to be so complicated.

ExclusiveArch: noarch

Please use "BuildArch: noarch" instead, except the next problem...

[warren@newcaprica noarch]$ rpmlint mobile-broadband-provider-info-20090602-1.fc11.noarch.rpm 
mobile-broadband-provider-info.noarch: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/mobile-broadband-provider-info.pc

This is a serious problem.  Note the lib64 dir.  Perhaps you can't make this noarch if you want to use pkgconfig?

[warren@newcaprica SRPMS]$ rpmlint mobile-broadband-provider-info-20090602-1.fc11.src.rpm 
mobile-broadband-provider-info.src:25: W: make-check-outside-check-section make check
mobile-broadband-provider-info.src:38: W: libdir-macro-in-noarch-package (main package) %attr(0644,root,root) %{_libdir}/pkgconfig/%{name}.pc

Comment 2 Dan Williams 2009-06-03 19:30:31 UTC
(In reply to comment #1)
> Version: 20090602
> 
> Will this always be versioned by the date?  Perhaps "0.20090602" might be
> better to allow for real version numbers in the future without Epoch?

Done.

> BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
> 
> This isn't even used by modern rpmbuild.  Doesn't need to be so complicated.

Recommended by packaging guidelines.

> ExclusiveArch: noarch
> 
> Please use "BuildArch: noarch" instead, except the next problem...

Done.

> [warren@newcaprica noarch]$ rpmlint
> mobile-broadband-provider-info-20090602-1.fc11.noarch.rpm 
> mobile-broadband-provider-info.noarch: W: devel-file-in-non-devel-package
> /usr/lib64/pkgconfig/mobile-broadband-provider-info.pc
> 
> This is a serious problem.  Note the lib64 dir.  Perhaps you can't make this
> noarch if you want to use pkgconfig?

Removed.

> [warren@newcaprica SRPMS]$ rpmlint
> mobile-broadband-provider-info-20090602-1.fc11.src.rpm 
> mobile-broadband-provider-info.src:25: W: make-check-outside-check-section make
> check

Fixed.

> mobile-broadband-provider-info.src:38: W: libdir-macro-in-noarch-package (main
> package) %attr(0644,root,root) %{_libdir}/pkgconfig/%{name}.pc  

removed.


Spec URL: http://bigw.org/~dan/mobile-broadband-provider-info.spec
SRPM URL: http://bigw.org/~dan/mobile-broadband-provider-info-0.20090602-1.fc12.src.rpm

Comment 3 Dan Williams 2009-06-03 19:48:09 UTC
URL fixed, build instructions added, nvr updated.

Spec URL: http://bigw.org/~dan/mobile-broadband-provider-info.spec
SRPM URL: http://bigw.org/~dan/mobile-broadband-provider-info-0.20090602-2.fc12.src.rpm

Comment 4 Warren Togami 2009-06-03 19:49:30 UTC
APPROVED

Comment 5 Dan Williams 2009-06-05 13:31:05 UTC
New Package CVS Request
=======================
Package Name: mobile-broadband-provider-info
Short Description: Mobile broadband provider database
Owners: dcbw
Branches: F-10 F-11
InitialCC:

Comment 6 Jason Tibbitts 2009-06-05 21:37:29 UTC
CVS done.

Comment 7 Peter Lemenkov 2009-07-27 19:54:02 UTC
What's the status of this ticket? I see that mobile-broadband-provider-info
 already included in F-11, but I can't find signs of it in F-10. Is something wrong with F-10 branch of mobile-broadband-provider-info?


Note You need to log in before you can comment on or make changes to this bug.